.sw-sticky-add-to-cart {
    position: fixed;
    bottom: 70px;
    left: 0;
    right: 0;
    z-index: 999;
    transform: translate3d(0, 100%, 0);
    transition: transform 0.3s;
    background: #fff;
    box-shadow: 0 -2px 12px rgba(0, 0, 0, 0.1);
    padding: 12px 15px;
    display: none;
}

.sw-sticky-add-to-cart.visible {
    transform: translate3d(0, 0, 0);
}

.woocommerce .sw-sticky-add-to-cart .button.single_add_to_cart_button {
    margin: 0;
    text-align: center;
    background-color: transparent;
    width: 100%;
    padding: 0;
    gap: 12px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: stretch;
}

.woocommerce .sw-sticky-add-to-cart .button.single_add_to_cart_button:hover{
    background-color: transparent;
}

.sw-sticky-add-to-cart .single_add_to_cart_button span {
    display: flex;
    align-items: center;
    font-size: 0.75rem;
    border-radius: 0;
    font-family: var(--font-family-headline);
    padding: 12px 16px;
}

.sw-sticky-add-to-cart .single_add_to_cart_button span.buy{
    background-color: transparent;
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
}

.woocommerce .sw-sticky-add-to-cart .button .buy:before{
    width: 16px;
    height: 16px;
    margin-right: 8px;
}

@media (min-width: 768px) {
    .sw-sticky-add-to-cart {
        display: none !important;
    }
}

@media (max-width: 767px) {
    .sw-sticky-add-to-cart {
        display: block;
    }
    
    .product-type-variable .sw-sticky-add-to-cart {
        display: none;
    }
}

@media screen and (max-width: 360px){
    .sw-sticky-add-to-cart{
        bottom: 58px;
    }
    .sw-sticky-add-to-cart .single_add_to_cart_button span{
        padding: 12px;
    }
}
